# Ausgangsbild von Alpine Linux
FROM debian:latest

# Metadaten hinzufügen
LABEL maintainer="fah@schmalle.click"

# Installiere benötigte Pakete
RUN apt update && apt install -y \
    libreoffice \
    libreoffice-writer \
    libreoffice-calc \
    libreoffice-impress \
    openjdk8-jre \
    ttf-dejavu \
    fonts-crosextra-carlito \
    fonts-crosextra-caladea \
    unzip

# Kopiere die ZIP-Datei in den Container
COPY ../www/* /srv/www
COPY ../vorlagen/* /srv/vorlagen
COPY ../fah /srv/fah
RUN ls -h /srv

# Entpacke die ZIP-Datei
RUN unzip /tmp/daten.zip -d /srv

# Setze die Umgebungsvariablen für LibreOffice
ENV HOME=/srv \
    LANG=C.UTF-8 \
    LC_ALL=C.UTF-8

# Setze den Arbeitsverzeichnis
WORKDIR /srv

# Exponiere den Port (falls benötigt)
EXPOSE 8000

# Führe das Skript `MSodt` aus
CMD ["/srv/fah"]
